Skip to main content
GET
Get combo holders

Path Parameters

position_id
string
required

Combo side position ID: the yes_position_id or no_position_id returned by /polymarket/combos or /polymarket/combos/metrics (ERC1155 token ID, decimal or 0x-prefixed hex). Do not use leg position IDs.

Query Parameters

limit
integer<int32>

Results limit (default: 50, max: 500)

pagination_key
string

Cursor from the previous response

min_shares
string

Minimum combo balance held, in decimal shares

max_shares
string

Maximum combo balance held, in decimal shares

include_pnl
boolean

Include nested holder PnL data for this combo side (default: false)

Response

Combo holders sorted by balance descending

position_id
string
required

Combo side position ID that was queried (yes_position_id or no_position_id).

total_holders
integer
required

Total unique holders for this combo position.

Required range: x >= 0
holders
object[]
required

Holders sorted by combo position balance descending.

condition_id
string | null

Combo condition ID this side position belongs to.

outcome_name
string | null

Outcome name (Yes or No).

outcome_index
integer<int32> | null

Outcome index (0 = Yes, 1 = No).

Last modified on August 7, 2026